Subject: [PATCH] arm64, pci, numa: Adding helper functions as required by pci

From: [email-masked] (Bjorn Helgaas)
Date: Fri, 15 Jan 2016 17:38:07 -0600

On Mon, Jan 11, 2016 at 10:56:59PM +0530, Ganapatrao Kulkarni wrote:
> Hi Bjorn, Will,
> 
> On Mon, Jan 11, 2016 at 10:42 PM, Matthias Brugger <[email-masked]> wrote:
> >
> >
> > On 09/01/16 16:35, Ganapatrao Kulkarni wrote:
> >>
> >> Hi Bjorn,
> >>
> >> On Sat, Jan 9, 2016 at 8:54 PM, Bjorn Helgaas <[email-masked]> wrote:
> >>>
> >>> On Sat, Jan 09, 2016 at 11:35:17AM +0530, Ganapatrao Kulkarni wrote:
> >>>>
> >>>> On Fri, Jan 8, 2016 at 11:36 PM, Will Deacon <[email-masked]>
> >>>> wrote:
> >>>>>
> >>>>> On Fri, Jan 08, 2016 at 12:01:31PM -0600, Bjorn Helgaas wrote:
> >>>>>>
> >>>>>> On Tue, Dec 22, 2015 at 04:08:50PM +0530, Ganapatrao Kulkarni wrote:
> >>>>>>>
> >>>>>>> Adding helper functions and necessary code to make
> >>>>>>> pci driver(pci-host-generic) numa aware.
> >>>>>>>
> >>>>>>> This patch is on top of arm64-numa v7.
> >>>>>>> http://www.spinics.net/lists/arm-kernel/msg460813.html
> >>>>>>>
> >>>>>>> Signed-off-by: Ganapatrao Kulkarni <[email-masked]>
> >>>>>>> ---
> >>>>>>>   arch/arm64/include/asm/numa.h       | 8 +++++---
> >>>>>>>   arch/arm64/kernel/pci.c             | 8 ++++++++
> >>>>>>>   drivers/pci/host/pci-host-generic.c | 1 +
> >
> >
> > set_dev_node() in pci-host-generic.c is missing in v8 of your numa patches.
> > Was this forgotten?
> i am not sure on adding numa required change(it is one line add) to
> pci-host-generic.c in numa patchset itself.
> Is it more appropriate to send as separate patch?
> please suggest.

I haven't seen the whole series, so I can't really give a suggestion.
If you want me to see it, please sent to linux-pci at vger.kernel.org or
helgaas at kernel.org.

Bjorn